Get Contract Result at Timestamp

Returns a single ContractResult for a contract's function executions at a specific timestamp.

This method will use 20 Compute Units.


Get the contract result from a contract on the network executed at a given timestamp

get

Returns a single ContractResult for a contract's function executions at a specific timestamp.

Path parameters
contractIdOrAddressstringRequired

The ID or hex encoded EVM address (with or without 0x prefix) associated with this contract.

Pattern: ^(\d{1,10}\.){0,2}(\d{1,10}|(0x)?[A-Fa-f0-9]{40})$
timestampstringRequired

The timestamp at which the associated transaction reached consensus

Example: 1234567890.0000007Pattern: ^\d{1,10}(.\d{1,9})?$
Responses
chevron-right
200

OK

application/json
access_liststring · nullableOptional

The hex encoded access_list of the wrapped ethereum transaction

Example: 0xabcd
addressstringOptional

The hex encoded evm address of contract

Example: 0x25fe26adc577cc89172e6156c9e24f7b9751b762
amountinteger · int64 · nullableOptional

The number of tinybars sent to the function

Example: 10
block_gas_usedinteger · int64 · nullableOptional

The total amount of gas used in the block

Example: 2000
block_hashstring · nullableOptional

The hex encoded block (record file chain) hash

Example: 0x6ceecd8bb224da491
block_numberinteger · int64 · nullableOptional

The block height calculated as the number of record files starting from zero since network start.

Example: 10
bloomall ofOptional
string · binary · nullableOptionalExample: 0x549358c4c2e573e02410ef7b5a5ffa5f36dd7398
and
anyOptional

The hex encoded bloom filter of the contract result

call_resultstring · nullableOptional

The hex encoded result returned by the function

Example: 0x2b048531b38d2882e86044bc972e940ee0a01938
chain_idstring · nullableOptional

The hex encoded chain_id of the wrapped ethereum transaction

Example: 0x0127
contract_idstring · nullableOptional

Network entity ID in the format of shard.realm.num

Example: 0.1.2Pattern: ^\d{1,10}\.\d{1,10}\.\d{1,10}$
created_contract_idsstring[] · nullableOptional

The list of smart contracts that were created by the function call.

Example: 0.1.2
error_messagestring · nullableOptional

The message when an error occurs during smart contract execution

Example: Out of gas
failed_initcodestringOptional

The hex encoded initcode of a failed contract create transaction

Example: 0x856739
fromstring · binary · min: 40 · max: 42Optional

A network entity encoded as an EVM address in hex.

Example: 0000000000000000000000000000000000001f41Pattern: ^(0x)?[A-Fa-f0-9]{40}$
function_parametersstring · nullableOptional

The hex encoded parameters passed to the function

Example: 0xbb9f02dc6f0e3289f57a1f33b71c73aa8548ab8b
gas_limitinteger · int64Optional

The maximum units of gas allowed for contract execution

Example: 100000
gas_pricestring · nullableOptional

The hex encoded gas_price of the wrapped ethereum transaction

Example: 0x4a817c800
gas_usedinteger · int64 · nullableOptional

The units of gas used to execute contract

Example: 1000
hashstringOptional

The hex encoded transaction hash

Example: 0x3531396130303866616264653464
max_fee_per_gasstring · nullableOptional

The hex encoded max_fee_per_gas of the wrapped ethereum transaction

Example: 0x5
max_priority_fee_per_gasstring · nullableOptional

The hex encoded max_priority_fee_per_gas of the wrapped ethereum transaction

Example: 0x100
nonceinteger · int64 · nullableOptional

The nonce of the wrapped ethereum transaction

Example: 1
rstring · nullableOptional

The hex encoded signature_r of the wrapped ethereum transaction

Example: 0xd693b532a80fed6392b428604171fb32fdbf953728a3a7ecc7d4062b1652c043
resultstringOptional

The result of the transaction

Example: SUCCESS
sstring · nullableOptional

The hex encoded signature_s of the wrapped ethereum transaction

Example: 0x24e9c602ac800b983b035700a14b23f78a253ab762deab5dc27e3555a750b355
statusstringOptional

The status of the transaction, 0x1 for a SUCCESS transaction and 0x0 for all else

Example: 1
timestampstringOptionalExample: 1586567700.453054000Pattern: ^\d{1,10}(\.\d{1,9})?$
tostring · binary · min: 40 · max: 42 · nullableOptional

A network entity encoded as an EVM address in hex.

Example: 0x0000000000000000000000000000000000001f41Pattern: ^(0x)?[A-Fa-f0-9]{40}$
transaction_indexinteger · int64 · nullableOptional

The position of the transaction in the block

Example: 1
typeinteger · nullableOptional

The type of the wrapped ethereum transaction, 0 (Pre-Eip1559) or 2 (Post-Eip1559)

Example: 2
vinteger · nullableOptional

The recovery_id of the wrapped ethereum transaction

Example: 1
get
/api/v1/contracts/{contractIdOrAddress}/results/{timestamp}

Last updated

Was this helpful?